// ==================================================================
// file: kernel_cpu.cu
// date: october 2012
// author: Jean-Michel Richer
// email: jean-michel.richer@univ-angers.fr
// ==================================================================

#include "vector_sum.h"


extern int vector_size;
extern float *vector_h[3];
extern float a_h;

/**
 * compute sum on CPU (see kernel_cpu_sse_nasm.asm)
 */
extern "C" {
	void kernel_cpu_sse(float a, float *x, float *y, float *z, int size);
}

/**
 * caller that setup arguments to call calculation method
 */
void kernel_cpu_sse_caller() {
	kernel_cpu_sse(a_h, X_H, Y_H, Z_H, vector_size);
}
